Index: plugins/org.jboss.tools.ui.bot.ext.test/.classpath
===================================================================
--- plugins/org.jboss.tools.ui.bot.ext.test/.classpath	(revision 40411)
+++ plugins/org.jboss.tools.ui.bot.ext.test/.classpath	(working copy)
@@ -1,8 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<classpath>
-	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
-	<classpathentry kind="src" path="src"/>
-	<classpathentry kind="src" path="resources"/>
-	<classpathentry kind="output" path="bin"/>
-</classpath>
Index: plugins/org.jboss.tools.ui.bot.ext.test/META-INF/MANIFEST.MF
===================================================================
--- plugins/org.jboss.tools.ui.bot.ext.test/META-INF/MANIFEST.MF	(revision 40411)
+++ plugins/org.jboss.tools.ui.bot.ext.test/META-INF/MANIFEST.MF	(working copy)
@@ -1,24 +0,0 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: Tests for SWTBot extensions
-Bundle-SymbolicName: org.jboss.tools.ui.bot.ext.test
-Bundle-Version: 3.2.0.qualifier
-Bundle-Activator: org.jboss.tools.ui.bot.ext.test.Activator
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.apache.log4j;bundle-version="1.2.13",
- org.jboss.tools.ui.bot.ext,
- org.eclipse.jdt.ui,
- org.eclipse.swtbot.eclipse.core;bundle-version="2.0.0",
- org.eclipse.swtbot.eclipse.finder;bundle-version="2.0.0",
- org.eclipse.swtbot.eclipse.ui;bundle-version="2.0.0",
- org.eclipse.swtbot.junit4_x;bundle-version="2.0.0",
- org.eclipse.swtbot.swt.finder;bundle-version="2.0.0",
- org.eclipse.ui.ide;bundle-version="3.5.1",
- org.eclipse.ui.forms;bundle-version="3.4.1",
- org.junit4;bundle-version="4.5.0"
-Bundle-ActivationPolicy: lazy
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Eclipse-RegisterBuddy: org.apache.log4j
-Bundle-ClassPath: .
-Export-Package: org.jboss.tools.ui.bot.ext.test
Index: plugins/org.jboss.tools.ui.bot.ext.test/.project
===================================================================
--- plugins/org.jboss.tools.ui.bot.ext.test/.project	(revision 40411)
+++ plugins/org.jboss.tools.ui.bot.ext.test/.project	(working copy)
@@ -1,34 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<projectDescription>
-	<name>org.jboss.tools.ui.bot.ext.test</name>
-	<comment></comment>
-	<projects>
-	</projects>
-	<buildSpec>
-		<buildCommand>
-			<name>org.eclipse.jdt.core.javabuilder</name>
-			<arguments>
-			</arguments>
-		</buildCommand>
-		<buildCommand>
-			<name>org.eclipse.pde.ManifestBuilder</name>
-			<arguments>
-			</arguments>
-		</buildCommand>
-		<buildCommand>
-			<name>org.eclipse.pde.SchemaBuilder</name>
-			<arguments>
-			</arguments>
-		</buildCommand>
-		<buildCommand>
-			<name>org.eclipse.pde.api.tools.apiAnalysisBuilder</name>
-			<arguments>
-			</arguments>
-		</buildCommand>
-	</buildSpec>
-	<natures>
-		<nature>org.eclipse.pde.PluginNature</nature>
-		<nature>org.eclipse.jdt.core.javanature</nature>
-		<nature>org.eclipse.pde.api.tools.apiAnalysisNature</nature>
-	</natures>
-</projectDescription>
Index: plugins/org.jboss.tools.ui.bot.ext.test/.gitignore
===================================================================
--- plugins/org.jboss.tools.ui.bot.ext.test/.gitignore	(revision 40411)
+++ plugins/org.jboss.tools.ui.bot.ext.test/.gitignore	(working copy)
@@ -1,2 +0,0 @@
-bin/
-target/
Index: plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnnotatedWithESB.java
===================================================================
--- plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnnotatedWithESB.java	(revision 40411)
+++ plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnnotatedWithESB.java	(working copy)
@@ -1,44 +0,0 @@
-package org.jboss.tools.ui.bot.ext.test.config;
-
-import org.eclipse.swtbot.swt.finder.SWTBot;
-import org.eclipse.swtbot.swt.finder.widgets.SWTBotTable;
-import org.jboss.tools.ui.bot.ext.SWTTestExt;
-import org.jboss.tools.ui.bot.ext.config.Annotations.ESB;
-import org.jboss.tools.ui.bot.ext.config.Annotations.Require;
-import org.jboss.tools.ui.bot.ext.gen.ActionItem;
-import org.junit.Test;
-
-@Require(esb=@ESB(),perspective="Java EE")
-public class AnnotatedWithESB extends SWTTestExt {
-
-	@Test
-	public void configuredState() {
-		assertTrue(configuredState.getEsb().isConfiured);
-		assertNotNull(configuredState.getEsb().version);
-		assertNotNull(configuredState.getEsb().name);
-
-	}
-	
-	@Test
-	public void runtimeExists() {
-		boolean found=false;
-		SWTBot bot = open.preferenceOpen(ActionItem.Preference.JBossToolsJBossESBRuntimes.LABEL);
-		SWTBotTable tbRuntimeEnvironments = bot.table();
-		// first check if Environment doesn't exist
-		int numRows = tbRuntimeEnvironments.rowCount();
-		if (numRows > 0) {
-			int currentRow = 0;
-			while (currentRow < numRows) {
-				if (tbRuntimeEnvironments.cell(currentRow, 1).equalsIgnoreCase(
-						configuredState.getEsb().name)) {
-					found = true;
-					break;
-				} else {
-					currentRow++;
-				}
-			}
-		}
-		assertTrue(found);
-	}
-
-}
Index: plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/ServerUtil.java
===================================================================
--- plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/ServerUtil.java	(revision 40411)
+++ plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/ServerUtil.java	(working copy)
@@ -1,39 +0,0 @@
-package org.jboss.tools.ui.bot.ext.test.config;
-
-import static org.junit.Assert.*;
-
-import org.eclipse.swtbot.swt.finder.widgets.SWTBotMenu;
-import org.eclipse.swtbot.swt.finder.widgets.SWTBotTree;
-import org.eclipse.swtbot.swt.finder.widgets.SWTBotTreeItem;
-import org.jboss.tools.ui.bot.ext.SWTTestExt;
-import org.jboss.tools.ui.bot.ext.helper.ContextMenuHelper;
-import org.jboss.tools.ui.bot.ext.types.IDELabel;
-
-public class ServerUtil  {
-
-	public static void serverExists() {
-		boolean found=false;
-		for (SWTBotTreeItem item : SWTTestExt.servers.show().bot().tree().getAllItems()) {
-			if (item.getText().startsWith(SWTTestExt.configuredState.getServer().name)) {
-				found = true;
-				break;
-			}
-		}
-		assertTrue(found);
-	}
-	
-	public static void serverRunning() {
-		SWTBotTreeItem server =null;
-		SWTBotTree tree = SWTTestExt.servers.show().bot().tree();
-		for (SWTBotTreeItem item : tree.getAllItems()) {
-			if (item.getText().startsWith(SWTTestExt.configuredState.getServer().name)) {
-				server = item;
-				break;
-			}
-		}
-		if (server!=null) {
-			ContextMenuHelper.prepareTreeItemForContextMenu(tree, server);
-	        assertTrue(new SWTBotMenu(ContextMenuHelper.getContextMenu(tree, IDELabel.Menu.STOP, false)).isEnabled());
-		}
-	}
-}
Index: plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnnotatedEPPServer.java
===================================================================
--- plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnnotatedEPPServer.java	(revision 40411)
+++ plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnnotatedEPPServer.java	(working copy)
@@ -1,33 +0,0 @@
-package org.jboss.tools.ui.bot.ext.test.config;
-
-import org.jboss.tools.ui.bot.ext.SWTTestExt;
-import org.jboss.tools.ui.bot.ext.config.Annotations.Require;
-import org.jboss.tools.ui.bot.ext.config.Annotations.Server;
-import org.jboss.tools.ui.bot.ext.config.Annotations.ServerType;
-import org.junit.Test;
-
-
-@Require(server=@Server(type=ServerType.EPP),perspective="Java EE")
-public class AnnotatedEPPServer extends SWTTestExt {
-
-	@Test
-	public void configuredState() {
-		assertTrue(configuredState.getServer().isRunning);
-		assertTrue(configuredState.getServer().isConfigured);
-		assertNotNull(configuredState.getServer().version);
-		assertNotNull(configuredState.getServer().type);
-		assertNotNull(configuredState.getServer().name);
-		assertNotNull(configuredState.getServer().withJavaVersion);
-	}
-	
-	@Test
-	public void serverExists() {
-		ServerUtil.serverExists();
-	}
-	
-	@Test
-	public void serverRunning() {
-		ServerUtil.serverRunning();
-	}
-	
-}
Index: plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnnotatedDefaultServer.java
===================================================================
--- plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnnotatedDefaultServer.java	(revision 40411)
+++ plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnnotatedDefaultServer.java	(working copy)
@@ -1,32 +0,0 @@
-package org.jboss.tools.ui.bot.ext.test.config;
-
-import org.jboss.tools.ui.bot.ext.SWTTestExt;
-import org.jboss.tools.ui.bot.ext.config.Annotations.Require;
-import org.jboss.tools.ui.bot.ext.config.Annotations.Server;
-import org.junit.Test;
-
-
-@Require(server=@Server(),perspective="Java EE")
-public class AnnotatedDefaultServer extends SWTTestExt {
-
-	@Test
-	public void configuredState() {
-		assertTrue(configuredState.getServer().isRunning);
-		assertTrue(configuredState.getServer().isConfigured);
-		assertNotNull(configuredState.getServer().version);
-		assertNotNull(configuredState.getServer().type);
-		assertNotNull(configuredState.getServer().name);
-		assertNotNull(configuredState.getServer().withJavaVersion);
-	}
-	
-	@Test
-	public void serverExists() {
-		ServerUtil.serverExists();
-	}
-	
-	@Test
-	public void serverRunning() {
-		ServerUtil.serverRunning();
-	}
-	
-}
Index: plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/ClassWithoutTests.java
===================================================================
--- plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/ClassWithoutTests.java	(revision 40411)
+++ plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/ClassWithoutTests.java	(working copy)
@@ -1,8 +0,0 @@
-package org.jboss.tools.ui.bot.ext.test.config;
-
-import org.jboss.tools.ui.bot.ext.config.Annotations.Require;
-
-@Require()
-public class ClassWithoutTests {
-
-}
Index: plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnnotatedWithSeam.java
===================================================================
--- plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnnotatedWithSeam.java	(revision 40411)
+++ plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnnotatedWithSeam.java	(working copy)
@@ -1,42 +0,0 @@
-package org.jboss.tools.ui.bot.ext.test.config;
-
-import org.eclipse.swtbot.swt.finder.SWTBot;
-import org.eclipse.swtbot.swt.finder.widgets.SWTBotTable;
-import org.jboss.tools.ui.bot.ext.SWTTestExt;
-import org.jboss.tools.ui.bot.ext.config.Annotations.*;
-import org.jboss.tools.ui.bot.ext.gen.ActionItem;
-import org.junit.Test;
-
-@Require(seam=@Seam(),perspective="Java EE")
-public class AnnotatedWithSeam extends SWTTestExt {
-	
-	@Test
-	public void configuredState() {
-		assertTrue(configuredState.getSeam().isConfiured);
-		assertNotNull(configuredState.getSeam().version);
-		assertNotNull(configuredState.getSeam().name);
-
-	}
-	
-	@Test
-	public void runtimeExists() {
-		boolean found=false;
-		SWTBot bot = open.preferenceOpen(ActionItem.Preference.JBossToolsWebSeam.LABEL);
-		SWTBotTable tbRuntimeEnvironments = bot.table();
-		// first check if Environment doesn't exist
-		int numRows = tbRuntimeEnvironments.rowCount();
-		if (numRows > 0) {
-			int currentRow = 0;
-			while (currentRow < numRows) {
-				if (tbRuntimeEnvironments.cell(currentRow, 1).equalsIgnoreCase(
-						configuredState.getSeam().name)) {
-					found = true;
-					break;
-				} else {
-					currentRow++;
-				}
-			}
-		}
-		assertTrue(found);
-	}
-}
Index: plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnnotatedLocalServer.java
===================================================================
--- plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnnotatedLocalServer.java	(revision 40411)
+++ plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnnotatedLocalServer.java	(working copy)
@@ -1,30 +0,0 @@
-package org.jboss.tools.ui.bot.ext.test.config;
-
-import org.jboss.tools.ui.bot.ext.SWTTestExt;
-import org.jboss.tools.ui.bot.ext.config.Annotations.Require;
-import org.jboss.tools.ui.bot.ext.config.Annotations.Server;
-import org.jboss.tools.ui.bot.ext.config.Annotations.ServerLocation;
-import org.junit.Test;
-@Require(server=@Server(location=ServerLocation.Local),perspective="Java EE")
-public class AnnotatedLocalServer extends SWTTestExt{
-	@Test
-	public void configuredState() {
-		assertTrue(configuredState.getServer().isRunning);
-		assertTrue(configuredState.getServer().isConfigured);
-		assertNotNull(configuredState.getServer().version);
-		assertNotNull(configuredState.getServer().type);
-		assertNotNull(configuredState.getServer().name);
-		assertNotNull(configuredState.getServer().withJavaVersion);
-		assertTrue(configuredState.getServer().isLocal);
-	}
-	
-	@Test
-	public void serverExists() {
-		ServerUtil.serverExists();
-	}
-	
-	@Test
-	public void serverRunning() {
-		ServerUtil.serverRunning();
-	}
-}
Index: plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnnotatedRemoteServer.java
===================================================================
--- plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnnotatedRemoteServer.java	(revision 40411)
+++ plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnnotatedRemoteServer.java	(working copy)
@@ -1,25 +0,0 @@
-package org.jboss.tools.ui.bot.ext.test.config;
-
-import org.jboss.tools.ui.bot.ext.SWTTestExt;
-import org.jboss.tools.ui.bot.ext.config.Annotations.Require;
-import org.jboss.tools.ui.bot.ext.config.Annotations.Server;
-import org.jboss.tools.ui.bot.ext.config.Annotations.ServerLocation;
-import org.junit.Test;
-@Require(server=@Server(location=ServerLocation.Remote),perspective="Java EE")
-public class AnnotatedRemoteServer extends SWTTestExt{
-	@Test
-	public void configuredState() {
-		assertTrue(configuredState.getServer().isRunning);
-		assertTrue(configuredState.getServer().isConfigured);
-		assertNotNull(configuredState.getServer().version);
-		assertNotNull(configuredState.getServer().type);
-		assertNotNull(configuredState.getServer().name);
-		assertNotNull(configuredState.getServer().withJavaVersion);
-		assertFalse(configuredState.getServer().isLocal);
-	}
-	
-	@Test
-	public void serverExists() {
-		ServerUtil.serverExists();
-	}
-}
Index: plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnonatedRunningServer.java
===================================================================
--- plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnonatedRunningServer.java	(revision 40411)
+++ plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnonatedRunningServer.java	(working copy)
@@ -1,33 +0,0 @@
-package org.jboss.tools.ui.bot.ext.test.config;
-
-import org.jboss.tools.ui.bot.ext.SWTTestExt;
-import org.jboss.tools.ui.bot.ext.config.Annotations.Require;
-import org.jboss.tools.ui.bot.ext.config.Annotations.Server;
-import org.jboss.tools.ui.bot.ext.config.Annotations.ServerState;
-import org.junit.Test;
-
-
-@Require(server=@Server(state=ServerState.Running),perspective="Java EE")
-public class AnonatedRunningServer extends SWTTestExt {
-
-	@Test
-	public void configuredState() {
-		assertTrue(configuredState.getServer().isRunning);
-		assertTrue(configuredState.getServer().isConfigured);
-		assertNotNull(configuredState.getServer().version);
-		assertNotNull(configuredState.getServer().type);
-		assertNotNull(configuredState.getServer().name);
-		assertNotNull(configuredState.getServer().withJavaVersion);
-	}
-	
-	@Test
-	public void serverExists() {
-		ServerUtil.serverExists();
-	}
-	
-	@Test
-	public void serverRunning() {
-		ServerUtil.serverRunning();
-	}
-	
-}
Index: plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnnotatedNotRunningServer.java
===================================================================
--- plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnnotatedNotRunningServer.java	(revision 40411)
+++ plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnnotatedNotRunningServer.java	(working copy)
@@ -1,51 +0,0 @@
-package org.jboss.tools.ui.bot.ext.test.config;
-
-import org.eclipse.swtbot.swt.finder.widgets.SWTBotMenu;
-import org.eclipse.swtbot.swt.finder.widgets.SWTBotTree;
-import org.eclipse.swtbot.swt.finder.widgets.SWTBotTreeItem;
-import org.jboss.tools.ui.bot.ext.SWTTestExt;
-import org.jboss.tools.ui.bot.ext.config.Annotations.Require;
-import org.jboss.tools.ui.bot.ext.config.Annotations.Server;
-import org.jboss.tools.ui.bot.ext.config.Annotations.ServerState;
-import org.jboss.tools.ui.bot.ext.helper.ContextMenuHelper;
-import org.jboss.tools.ui.bot.ext.types.IDELabel;
-import org.junit.Test;
-
-
-@Require(server=@Server(state=ServerState.NotRunning),perspective="Java EE")
-public class AnnotatedNotRunningServer extends SWTTestExt {
-
-	@Test
-	public void configuredState() {
-		assertTrue(!configuredState.getServer().isRunning);
-		assertTrue(configuredState.getServer().isConfigured);
-		assertNotNull(configuredState.getServer().version);
-		assertNotNull(configuredState.getServer().type);
-		assertNotNull(configuredState.getServer().name);
-		assertNotNull(configuredState.getServer().withJavaVersion);
-	}
-	
-	@Test
-	public void serverExists() {
-		ServerUtil.serverExists();
-	}
-	
-	@Test
-	public void serverNotRunning() {
-		SWTBotTreeItem server =null;
-		SWTBotTree tree = servers.show().bot().tree();
-		for (SWTBotTreeItem item : tree.getAllItems()) {
-			if (item.getText().startsWith(configuredState.getServer().name)) {
-				server = item;
-				break;
-			}
-		}
-		if (server!=null) {
-			ContextMenuHelper.prepareTreeItemForContextMenu(tree, server);
-	        assertFalse(new SWTBotMenu(ContextMenuHelper.getContextMenu(tree, IDELabel.Menu.STOP, false)).isEnabled());
-	        assertTrue(new SWTBotMenu(ContextMenuHelper.getContextMenu(tree, IDELabel.Menu.START, false)).isEnabled());
-		}
-	}
-	
-
-}
Index: plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/Suite.java
===================================================================
--- plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/Suite.java	(revision 40411)
+++ plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/Suite.java	(working copy)
@@ -1,36 +0,0 @@
-/*******************************************************************************
- * Copyright (c) 2007-2009 Red Hat, Inc.
- * Distributed under license by Red Hat, Inc. All rights reserved.
- * This program is made available under the terms of the
- * Eclipse Public License v1.0 which accompanies this distribution,
- * and is available at http://www.eclipse.org/legal/epl-v10.html
- *
- * Contributor:
- *     Red Hat, Inc. - initial API and implementation
- ******************************************************************************/
-package org.jboss.tools.ui.bot.ext.test.config;
-
-import org.jboss.tools.ui.bot.ext.RequirementAwareSuite;
-import org.junit.runner.RunWith;
-import org.junit.runners.Suite.SuiteClasses;
-
-@SuiteClasses( {
-	ConfigBeanTest.class,
-	NotAnnotated.class,
-	//ClassWithoutTests.class,
-	AnnotatedDefaultServer.class,
-	AnnotatedEPPServer.class,
-	AnnotatedJbossASServer.class,
-	AnnotatedNotRunningServer.class,
-	AnnotatedDefaultServer.class,
-	AnnotatedWithESB.class,
-	AnnotatedDisabledServer.class,
-	AnonatedRunningServer.class, 
-	AnnotatedWithSeam.class,
-	AnnotatedRemoteServer.class,
-	AnnotatedLocalServer.class
-})
-@RunWith(RequirementAwareSuite.class)
-public class Suite {
-
-}
Index: plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnnotatedJbossASServer.java
===================================================================
--- plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnnotatedJbossASServer.java	(revision 40411)
+++ plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnnotatedJbossASServer.java	(working copy)
@@ -1,33 +0,0 @@
-package org.jboss.tools.ui.bot.ext.test.config;
-
-import org.jboss.tools.ui.bot.ext.SWTTestExt;
-import org.jboss.tools.ui.bot.ext.config.Annotations.Require;
-import org.jboss.tools.ui.bot.ext.config.Annotations.Server;
-import org.jboss.tools.ui.bot.ext.config.Annotations.ServerType;
-import org.junit.Test;
-
-
-@Require(server=@Server(type=ServerType.JbossAS),perspective="Java EE")
-public class AnnotatedJbossASServer extends SWTTestExt {
-
-	@Test
-	public void configuredState() {
-		assertTrue(configuredState.getServer().isRunning);
-		assertTrue(configuredState.getServer().isConfigured);
-		assertNotNull(configuredState.getServer().version);
-		assertNotNull(configuredState.getServer().type);
-		assertNotNull(configuredState.getServer().name);
-		assertNotNull(configuredState.getServer().withJavaVersion);
-	}
-	
-	@Test
-	public void serverExists() {
-		ServerUtil.serverExists();
-	}
-	
-	@Test
-	public void serverRunning() {
-		ServerUtil.serverRunning();
-	}
-	
-}
Index: plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/ConfigBeanTest.java
===================================================================
--- plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/ConfigBeanTest.java	(revision 40411)
+++ plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/ConfigBeanTest.java	(working copy)
@@ -1,38 +0,0 @@
-package org.jboss.tools.ui.bot.ext.test.config;
-
-import static org.junit.Assert.*;
-
-import org.jboss.tools.ui.bot.ext.config.RemoteSystemBean;
-import org.jboss.tools.ui.bot.ext.config.ServerBean;
-import org.junit.Test;
-
-public class ConfigBeanTest {
-
-	@Test
-	public void serverBeanRemote() throws Exception{
-		ServerBean bean = ServerBean.fromString("EAP,5.0,1.6,/data/jboss/jboss-eap-5.0/jboss-as,jawa23.mw.lab.eng.brq.redhat.com,/opt/jboss-as");
-		assertEquals(bean.type,"EAP");
-		assertEquals(bean.version,"5.0");
-		assertEquals(bean.withJavaVersion,"1.6");
-		assertEquals(bean.runtimeHome,"/data/jboss/jboss-eap-5.0/jboss-as");
-		assertEquals(bean.remoteSystem,"jawa23.mw.lab.eng.brq.redhat.com");
-		assertEquals(bean.remoteHome, "/opt/jboss-as");
-	}
-	@Test
-	public void serverBeanLocal() throws Exception{
-		ServerBean bean = ServerBean.fromString("EAP,5.0,1.6,/data/jboss/jboss-eap-5.0/jboss-as");
-		assertEquals(bean.type,"EAP");
-		assertEquals(bean.version,"5.0");
-		assertEquals(bean.withJavaVersion,"1.6");
-		assertEquals(bean.runtimeHome,"/data/jboss/jboss-eap-5.0/jboss-as");
-		assertNull(bean.remoteSystem);
-		assertNull(bean.remoteHome);
-	}
-	@Test
-	public void remoteSystem() throws Exception {
-		RemoteSystemBean bean = RemoteSystemBean.fromString("lzoubek,jawa23.mw.lab.eng.brq.redhat.com,/home/lzoubek/.ssh/id_rsa");
-		assertEquals(bean.user,"lzoubek");
-		assertEquals(bean.host,"jawa23.mw.lab.eng.brq.redhat.com");
-		assertEquals(bean.key,"/home/lzoubek/.ssh/id_rsa");
-	}
-}
Index: plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnnotatedDisabledServer.java
===================================================================
--- plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnnotatedDisabledServer.java	(revision 40411)
+++ plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/AnnotatedDisabledServer.java	(working copy)
@@ -1,39 +0,0 @@
-package org.jboss.tools.ui.bot.ext.test.config;
-
-import org.eclipse.swtbot.swt.finder.SWTBot;
-import org.eclipse.swtbot.swt.finder.widgets.SWTBotTable;
-import org.jboss.tools.ui.bot.ext.SWTTestExt;
-import org.jboss.tools.ui.bot.ext.config.Annotations.Require;
-import org.jboss.tools.ui.bot.ext.config.Annotations.Server;
-import org.jboss.tools.ui.bot.ext.config.Annotations.ServerState;
-import org.jboss.tools.ui.bot.ext.gen.ActionItem;
-import org.junit.Test;
-
-@Require(server=@Server(state=ServerState.Disabled))
-public class AnnotatedDisabledServer extends SWTTestExt {
-
-	@Test
-	public void configuredState() {
-		assertTrue(!configuredState.getServer().isRunning);
-		assertTrue(!configuredState.getServer().isConfigured);
-		assertNull(configuredState.getServer().version);
-		assertNull(configuredState.getServer().type);
-		assertNull(configuredState.getServer().name);
-		assertNull(configuredState.getServer().withJavaVersion);
-	}
-	
-	@Test
-	public void serverDoesNotExist() {
-		assertTrue(!servers.show().bot().tree().hasItems());
-	}
-	
-	@Test
-	public void runtimeDoesNotExist() {
-		SWTBot wiz = open
-		.preferenceOpen(ActionItem.Preference.ServerRuntimeEnvironments.LABEL);
-		SWTBotTable tbRuntimeEnvironments = bot.table();
-		assertTrue(tbRuntimeEnvironments.rowCount()==0);
-		open.closeCancel(wiz);
-	}
-
-}
Index: plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/NotAnnotated.java
===================================================================
--- plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/NotAnnotated.java	(revision 40411)
+++ plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/config/NotAnnotated.java	(working copy)
@@ -1,11 +0,0 @@
-package org.jboss.tools.ui.bot.ext.test.config;
-
-import org.junit.Test;
-
-public class NotAnnotated {
-
-	@Test
-	public void testMustRun() {
-		
-	}
-}
Index: plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/Activator.java
===================================================================
--- plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/Activator.java	(revision 40411)
+++ plugins/org.jboss.tools.ui.bot.ext.test/src/org/jboss/tools/ui/bot/ext/test/Activator.java	(working copy)
@@ -1,66 +0,0 @@
- /*******************************************************************************
-  * Copyright (c) 2007-2009 Red Hat, Inc.
-  * Distributed under license by Red Hat, Inc. All rights reserved.
-  * This program is made available under the terms of the
-  * Eclipse Public License v1.0 which accompanies this distribution,
-  * and is available at http://www.eclipse.org/legal/epl-v10.html
-  *
-  * Contributor:
-  *     Red Hat, Inc. - initial API and implementation
-  ******************************************************************************/
-package org.jboss.tools.ui.bot.ext.test;
-
-import org.eclipse.ui.plugin.AbstractUIPlugin;
-import org.osgi.framework.BundleContext;
-
-/**
- * The activator class controls the plug-in life cycle
- */
-public class Activator extends AbstractUIPlugin {
-
-	// The plug-in ID
-	public static final String PLUGIN_ID = "org.jboss.tools.ui.bot.ext.test";
-
-	// The shared instance
-	private static Activator plugin;
-
-	/**
-	 * The constructor
-	 */
-	public Activator() {
-	}
-
-	/*
-	 * (non-Javadoc)
-	 * 
-	 * @see
-	 * org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext
-	 * )
-	 */
-	public void start(BundleContext context) throws Exception {
-		super.start(context);
-		plugin = this;
-	}
-
-	/*
-	 * (non-Javadoc)
-	 * 
-	 * @see
-	 * org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext
-	 * )
-	 */
-	public void stop(BundleContext context) throws Exception {
-		plugin = null;
-		super.stop(context);
-	}
-
-	/**
-	 * Returns the shared instance
-	 * 
-	 * @return the shared instance
-	 */
-	public static Activator getDefault() {
-		return plugin;
-	}
-
-}
Index: plugins/org.jboss.tools.ui.bot.ext.test/src/log4j.xml
===================================================================
--- plugins/org.jboss.tools.ui.bot.ext.test/src/log4j.xml	(revision 40411)
+++ plugins/org.jboss.tools.ui.bot.ext.test/src/log4j.xml	(working copy)
@@ -1,65 +0,0 @@
-<?xml version="1.0" encoding="UTF-8" ?>
-<!DOCTYPE log4j:configuration SYSTEM "log4j.dtd">
-<log4j:configuration xmlns:log4j="http://jakarta.apache.org/log4j/"
-	debug="false">
-
-	<appender name="consoleAppender" class="org.apache.log4j.ConsoleAppender">
-		<param name="Target" value="System.out" />
-		<layout class="org.apache.log4j.PatternLayout">
-		<!-- 
-			<param name="ConversionPattern"
-				value="%d{dd MMM yyyy HH:mm:ss.SSS} - %25t - %-5p - %30c{1} - (%C{1}.java:%L) - %m%n" />
-				 -->
-			<param name="ConversionPattern"
-				value="(%C{1}.java:%L) - %m%n" />
-				 
-		</layout>
-	</appender>
-
-	<appender name="fileAppender" class="org.apache.log4j.FileAppender">
-		<param name="File" value="/tmp/debug.log" />
-		<param name="Append" value="false" />
-		<layout class="org.apache.log4j.PatternLayout">
-			<param name="ConversionPattern"
-				value="%d{dd MMM yyyy HH:mm:ss.SSS} - %25t - %-5p - %30c{1} - (%C{1}.java:%L) - %m%n" />
-		</layout>
-	</appender>
-
-	<appender name="asyncAppender" class="org.apache.log4j.AsyncAppender">
-		<appender-ref ref="consoleAppender" />
-		<appender-ref ref="fileAppender" />
-	</appender>
-
-	<!-- don't log matchers, this is very high amount of chatter -->
-	<category name="org.eclipse.swtbot.swt.finder.matchers">
-		<priority value="OFF" />
-	</category>
-
-	<!--
-		don't log widget notification events, this is moderately high chatter
-	-->
-	<category name="org.eclipse.swtbot.swt.finder.widgets">
-		<priority value="OFF" />
-	</category>
-
-	<!-- don't log finders, this is moderate chatter -->
-	<category name="org.eclipse.swtbot.swt.finder.finders">
-		<priority value="DEBUG" />
-	</category>
-
-	<category name="org.eclipse.swtbot.swt.finder.keyboard">
-		<!-- set to a value higher than debug to turn on. -->
-		<priority value="DEBUG" />
-	</category>
-
-	<category name="org.eclipse.swtbot">
-		<priority value="ALL" />
-	</category>
-
-	<root>
-		<priority value="INFO" />
-		<appender-ref ref="consoleAppender" />
-		<appender-ref ref="fileAppender" />
-	</root>
-
-</log4j:configuration>
\ No newline at end of file
Index: plugins/org.jboss.tools.ui.bot.ext.test/build.properties
===================================================================
--- plugins/org.jboss.tools.ui.bot.ext.test/build.properties	(revision 40411)
+++ plugins/org.jboss.tools.ui.bot.ext.test/build.properties	(working copy)
@@ -1,5 +0,0 @@
-source.. = src/,\
-           resources/
-output.. = bin/
-bin.includes = META-INF/,\
-               .
Index: plugins/org.jboss.tools.ui.bot.ext.test/pom.xml
===================================================================
--- plugins/org.jboss.tools.ui.bot.ext.test/pom.xml	(revision 40411)
+++ plugins/org.jboss.tools.ui.bot.ext.test/pom.xml	(working copy)
@@ -1,13 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
-	<modelVersion>4.0.0</modelVersion> 
-	<parent>
-		<groupId>org.jboss.tools.tests</groupId>
-		<artifactId>plugins</artifactId>
-		<version>3.2.0-SNAPSHOT</version>	
-	</parent>
-	<groupId>org.jboss.tools.tests.plugins</groupId>
-	<artifactId>org.jboss.tools.ui.bot.ext.test</artifactId> 
-	
-	<packaging>eclipse-plugin</packaging>
-</project>
Index: plugins/org.jboss.tools.ui.bot.ext.test/.settings/org.eclipse.jdt.core.prefs
===================================================================
--- plugins/org.jboss.tools.ui.bot.ext.test/.settings/org.eclipse.jdt.core.prefs	(revision 40411)
+++ plugins/org.jboss.tools.ui.bot.ext.test/.settings/org.eclipse.jdt.core.prefs	(working copy)
@@ -1,8 +0,0 @@
-#Tue Nov 02 17:42:06 EET 2010
-eclipse.preferences.version=1
-org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
-org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.6
-org.eclipse.jdt.core.compiler.compliance=1.6
-org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
-org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
-org.eclipse.jdt.core.compiler.source=1.6
Index: plugins/org.jboss.tools.ui.bot.ext.test/.settings/org.jboss.ide.eclipse.as.core.prefs
===================================================================
--- plugins/org.jboss.tools.ui.bot.ext.test/.settings/org.jboss.ide.eclipse.as.core.prefs	(revision 40411)
+++ plugins/org.jboss.tools.ui.bot.ext.test/.settings/org.jboss.ide.eclipse.as.core.prefs	(working copy)
@@ -1,3 +0,0 @@
-#Fri May 07 11:17:03 CEST 2010
-eclipse.preferences.version=1
-org.jboss.ide.eclipse.as.core.singledeployable.deployableList=
Index: plugins/pom.xml
===================================================================
--- plugins/pom.xml	(revision 40411)
+++ plugins/pom.xml	(working copy)
@@ -14,6 +14,5 @@
 	<modules>
 		<module>org.jboss.tools.tests</module>
 		<module>org.jboss.tools.ui.bot.ext</module>
-		<module>org.jboss.tools.ui.bot.ext.test</module>
 	</modules>
 </project>
Index: tests/org.jboss.tools.ui.bot.ext.test/pom.xml
===================================================================
--- tests/org.jboss.tools.ui.bot.ext.test/pom.xml	(revision 40411)
+++ tests/org.jboss.tools.ui.bot.ext.test/pom.xml	(working copy)
@@ -3,11 +3,25 @@
 	<modelVersion>4.0.0</modelVersion> 
 	<parent>
 		<groupId>org.jboss.tools.tests</groupId>
-		<artifactId>plugins</artifactId>
+		<artifactId>tests</artifactId>
 		<version>3.2.0-SNAPSHOT</version>	
 	</parent>
-	<groupId>org.jboss.tools.tests.plugins</groupId>
+	<groupId>org.jboss.tools.tests.tests</groupId>
 	<artifactId>org.jboss.tools.ui.bot.ext.test</artifactId> 
 	
-	<packaging>eclipse-plugin</packaging>
+	<packaging>eclipse-test-plugin</packaging>
+	
+	<build>
+		<plugins>
+			<plugin>
+				<groupId>org.eclipse.tycho</groupId>
+				<artifactId>tycho-surefire-plugin</artifactId>
+				<configuration>
+					<useUIThread>false</useUIThread>
+      				<testSuite>org.jboss.tools.ui.bot.ext.test</testSuite>
+     				<testClass>org.jboss.tools.ui.bot.ext.test.config.Suite</testClass>
+				</configuration>
+			</plugin>
+		</plugins>
+	</build>
 </project>
Index: tests/pom.xml
===================================================================
--- tests/pom.xml	(revision 40411)
+++ tests/pom.xml	(working copy)
@@ -13,7 +13,7 @@
 	
 	<packaging>pom</packaging>
 	<modules>
-		<module>org.jboss.tools.tests.tests</module>
+		<module>org.jboss.tools.ui.bot.ext.test</module>
 	</modules>
 </project>
 	
